# Gimp.Procedure.add_color_from_string_argument

    @accepts(Gimp.Procedure, unicode, unicode, unicode, bool, unicode, GObject.ParamFlags)
    @returns(none)
    def add_color_from_string_argument(self, name, nick, blurb, has_alpha, value, flags):
        # Python wrapper for gimp_procedure_add_color_from_string_argument()

Add a new Gegl.Color argument to self from a string representation.

Since 3.0

self

  the Gimp.Procedure.

name

  the name of the argument to be created.

nick

  the label used in #GimpProcedureDialog.

blurb

  a more detailed help description.

has_alpha

  whether the argument has transparency.

value

  the default Gegl.Color value.

flags

  argument flags.